Bug 1409938 - lumina-desktop-v1.2.0-p1 is available
Summary: lumina-desktop-v1.2.0-p1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lumina-desktop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 00:16 UTC by Upstream Release Monitoring
Modified: 2017-04-29 23:22 UTC (History)
1 user (show)

Fixed In Version: lumina-desktop-1.2.0-2.p1.Ld700dea.fc24 lumina-desktop-1.2.0-2.p1.Ld700dea.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-29 22:21:25 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-01-04 00:16:13 UTC
Latest upstream release: v1.2.0
Current version/release in rawhide: 1.1.0-1.p1.Ld700dea.fc26
URL: http://lumina-desktop.org

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11808/

Comment 1 Upstream Release Monitoring 2017-01-07 00:17:51 UTC
Latest upstream release: v1.2.0-p1
Current version/release in rawhide: 1.1.0-1.p1.Ld700dea.fc26
URL: http://lumina-desktop.org

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11808/

Comment 2 Raphael Groner 2017-01-07 19:31:26 UTC
Upstream decided to introduce some major ABI changes:

This release is primarily an enhancement to the current desktop systems with some new plugins, a new utility, and lots of updates for various things. However, in keeping with the focus on minimalism, this version also reduces or eliminates many things. First, the LuminaUtils library has been completely dismantled and is no longer installed or required as part of the Lumina infrastructure. Instead, the files within the library are broken into small, nearly standalone modules within the source tree so each tool can build or incorporate just the necessary class(es) directly into the utility itself. This results in faster and more stable binaries without the need to load any additional libraries on the system.  Second, we are putting a lot more work into depreciating external utilities and moving toward using the same libraries that Qt itself requires or uses (such as the XCB libraries on X11 systems). This phase is not yet finished, but we are making significant progress and expect to announce a large reduction in runtime dependencies later this year.

https://lumina-desktop.org/version-1-2-0-released/

See also:
https://fedoraproject.org/wiki/Updates_Policy#Philosophy
https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries
https://fedoraproject.org/wiki/How_to_check_for_ABI_changes_with_abidiff

Comment 3 Fedora Admin XMLRPC Client 2017-02-01 00:15:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Raphael Groner 2017-02-01 00:16:56 UTC
@tieugene Please be careful with updates to this package, see my comment #2.

Comment 5 Fedora Update System 2017-04-20 20:08:07 UTC
lumina-desktop-1.2.0-2.p1.Ld700dea.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3660d45953

Comment 6 Fedora Update System 2017-04-20 20:08:53 UTC
lumina-desktop-1.2.0-2.p1.Ld700dea.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-67b6492d3a

Comment 7 Fedora Update System 2017-04-29 22:21:25 UTC
lumina-desktop-1.2.0-2.p1.Ld700dea.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-04-29 23:22:02 UTC
lumina-desktop-1.2.0-2.p1.Ld700dea.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.